java.awt.datatransfer

## Class FlavorEvent

- java.lang.Object
- - java.util.EventObject
  - - java.awt.datatransfer.FlavorEvent

- All Implemented Interfaces:
    Serializable

      public class FlavorEvent
      extends EventObject

  `FlavorEvent` is used to notify interested parties that available `DataFlavor`s have changed in the `Clipboard` (the event source).
  Since:
    1.5
  See Also:
    `FlavorListener`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FlavorEvent(Clipboard source)` Constructs a `FlavorEvent` object.

  - ### Method Summary

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FlavorEvent

          public FlavorEvent(Clipboard source)

      Constructs a `FlavorEvent` object.
      Parameters:
        `source` - the `Clipboard` that is the source of the event
      Throws:
        `IllegalArgumentException` - if the `source` is `null`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2019, Oracle and/or its affiliates. All rights reserved.